Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.syntax
[Java] Class TokenMismatchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.groovy.GroovyException
                  org.codehaus.groovy.syntax.SyntaxException
                      org.codehaus.groovy.syntax.TokenException
                          org.codehaus.groovy.syntax.TokenMismatchException

    public class TokenMismatchException
    extends TokenException

Constructor Summary
`TokenMismatchException(Token token, int expectedType)`

Method Summary
`int` | `getExpectedType()`
`Token` | `getUnexpectedToken()`

Methods inherited from class TokenException
getEndColumn

Methods inherited from class SyntaxException
getEndColumn, getEndLine, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator

Methods inherited from class GroovyException
isFatal, setFatal

Methods inherited from class java.lang.Exception
java.lang.Exception#printStackTrace(), java.lang.Exception#printStackTrace(java.io.PrintStream), java.lang.Exception#printStackTrace(java.io.PrintWriter), java.lang.Exception#fillInStackTrace(), java.lang.Exception#getCause(), java.lang.Exception#initCause(java.lang.Throwable), java.lang.Exception#toString(), java.lang.Exception#getMessage(), java.lang.Exception#getLocalizedMessage(), java.lang.Exception#getStackTrace(), java.lang.Exception#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Exception#addSuppressed(java.lang.Throwable), java.lang.Exception#getSuppressed(), java.lang.Exception#wait(long), java.lang.Exception#wait(long, int), java.lang.Exception#wait(), java.lang.Exception#equals(java.lang.Object), java.lang.Exception#hashCode(), java.lang.Exception#getClass(), java.lang.Exception#notify(), java.lang.Exception#notifyAll()

Constructor Detail

### TokenMismatchException

    public TokenMismatchException(Token token, int expectedType)

Method Detail

### getExpectedType

    public int getExpectedType()

### getUnexpectedToken

    public Token getUnexpectedToken()

Groovy Documentation